#include<bits/stdc++.h>
using namespace std;
long long a[100000];
bool lok_max[100000];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    cin>>n;
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
    }
    for(int i=1; i<n-1; i++)
    {
        if(a[i]>a[i-1] && a[i]>a[i+1]) lok_max[i]=true;
    }
    int start=0, dul=100001, min_dul=100001, br=0;
    for(int i=1; a[i-1]!=0 && i<n-1; i++)
    {
        if(lok_max[i])
        {
            br++;
            if(start!=0)
            {
                dul=i-1-start;
                min_dul=min(dul, min_dul);
            }
            start=i;
        }
    }
    if(br<2) cout<<0;
    else cout<<min_dul;
    return 0;
}
